Create Detection
Create a new detection request.
This endpoint accepts a detection request and starts processing it asynchronously. The response includes the detection ID which can be used to poll for results via GET /detections/.
Note: This endpoint does not require authentication to support the Execution Flow test input feature.
POST
/
v1
/
detections
Create Detection
curl --request POST \
--url https://api.example.com/v1/detections \
--header 'Content-Type: application/json' \
--data '
{
"id": "<string>",
"detector_id": "<string>",
"detector_inputs": [
{
"response": "<string>",
"question": "<string>",
"prompt": "<string>",
"dome_detection_method": "<string>"
}
]
}
'import requests
url = "https://api.example.com/v1/detections"
payload = {
"id": "<string>",
"detector_id": "<string>",
"detector_inputs": [
{
"response": "<string>",
"question": "<string>",
"prompt": "<string>",
"dome_detection_method": "<string>"
}
]
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
id: '<string>',
detector_id: '<string>',
detector_inputs: [
{
response: '<string>',
question: '<string>',
prompt: '<string>',
dome_detection_method: '<string>'
}
]
})
};
fetch('https://api.example.com/v1/detections', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/v1/detections"
payload := strings.NewReader("{\n \"id\": \"<string>\",\n \"detector_id\": \"<string>\",\n \"detector_inputs\": [\n {\n \"response\": \"<string>\",\n \"question\": \"<string>\",\n \"prompt\": \"<string>\",\n \"dome_detection_method\": \"<string>\"\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"id": "<string>",
"status": "<string>",
"detector_inputs": [
{
"response": "<string>",
"question": "<string>",
"prompt": "<string>",
"dome_detection_method": "<string>"
}
],
"detector_outputs": [
{
"score": 0,
"label": "<string>",
"details": {}
}
],
"error_message": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Body
application/json
Request model for creating a detection.
Response
Successful Response
Response model for a detection.
Last modified on April 21, 2026
Was this page helpful?
⌘I
Create Detection
curl --request POST \
--url https://api.example.com/v1/detections \
--header 'Content-Type: application/json' \
--data '
{
"id": "<string>",
"detector_id": "<string>",
"detector_inputs": [
{
"response": "<string>",
"question": "<string>",
"prompt": "<string>",
"dome_detection_method": "<string>"
}
]
}
'import requests
url = "https://api.example.com/v1/detections"
payload = {
"id": "<string>",
"detector_id": "<string>",
"detector_inputs": [
{
"response": "<string>",
"question": "<string>",
"prompt": "<string>",
"dome_detection_method": "<string>"
}
]
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
id: '<string>',
detector_id: '<string>',
detector_inputs: [
{
response: '<string>',
question: '<string>',
prompt: '<string>',
dome_detection_method: '<string>'
}
]
})
};
fetch('https://api.example.com/v1/detections', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/v1/detections"
payload := strings.NewReader("{\n \"id\": \"<string>\",\n \"detector_id\": \"<string>\",\n \"detector_inputs\": [\n {\n \"response\": \"<string>\",\n \"question\": \"<string>\",\n \"prompt\": \"<string>\",\n \"dome_detection_method\": \"<string>\"\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"id": "<string>",
"status": "<string>",
"detector_inputs": [
{
"response": "<string>",
"question": "<string>",
"prompt": "<string>",
"dome_detection_method": "<string>"
}
],
"detector_outputs": [
{
"score": 0,
"label": "<string>",
"details": {}
}
],
"error_message": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}